Custody providers
Get All Custody Grant
Lists the org's grants with recipient name, linked custody wallet addresses and latest reconciliation snapshot.
GEThttps://api.toku.com/tga/get-all-custody-grant
Required scope: wallets:read
curl --request GET \
--url 'https://api.toku.com/tga/get-all-custody-grant' \
--header 'Authorization: Bearer <token>'200 response
[
{
"grantName": "string",
"grantID": "string",
"roleInOrgID": "string",
"personName": "string",
"linkedCustodyWallets": "string",
"reconciledAmount": "string",
"reconciliationMessage": "string",
"reconRuleName": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
grantNamestring | nullgrantIDstring | nullroleInOrgIDstring | nullpersonNamestring | nulllinkedCustodyWalletsstring | nullreconciledAmountstring | nullreconciliationMessagestring | nullreconRuleNamestring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits